package com.gci.boot.modules.dataview.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.boot.modules.dataview.vo.GisRoadMileVo;
import com.gci.boot.modules.dataview.vo.VehicleFaultAlarmVo;
import com.gci.boot.modules.dataview.vo.VehicleTotalVo;
import com.gci.boot.modules.dataview.vo.VehicleTypeVo;
import com.gci.boot.modules.driver.entity.TbDriver;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xushuhan
 * @since 2023-09-04
 */
public interface ITbAssetCenterService extends IService<TbDriver> {

	List<VehicleTypeVo> getVehicleTypeCount(VehicleTypeVo vo);

	VehicleTotalVo getVehicleTotal();

	List<VehicleTypeVo> getVehicleProjectCount(VehicleTypeVo vo);

	List<VehicleFaultAlarmVo> getFaultAlarmMonth();

	List<GisRoadMileVo> countByTime(String startTime,String endTime);


}
